package com.liquidnet.common.third.zxlnft.dto.nft;

import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: 2.自然人注册实名接口
 * @class: RegisterPersonReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:20
 */
@Data
public class Nft002RegisterPersonReq implements Serializable {
    private static final long serialVersionUID = 3035063716845958619L;
    private String personName;
    //@Null
    private String email;
    private String mobile;
    private String verifyCode;
    private String idCard;
    /**
     * 证件类型 1-身份证 2-护照 3-港澳通行证 4-台湾通行证 5-外国人永居身份证 6-港澳台居民居住证 7-其它
     */
    private int cardType;
    private static final Nft002RegisterPersonReq obj = new Nft002RegisterPersonReq();
    public static Nft002RegisterPersonReq getNew() {
        try {
            return (Nft002RegisterPersonReq) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft002RegisterPersonReq();
        }
    }
}
